package api.common.pojo.po.model;

import api.common.pojo.common.CommonPO;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class VehiclePO extends CommonPO {
    private String id;  //主键id
    private String vehicleName; //车辆名称
    private String description; //车辆描述
    private String vehicleType;    //车辆类型（字典代码）
    private String modelLabel;    //车辆模型标签
    private String share;    //是否分享
    private String parameterType;    // 1 vtd 2 carsim
    //* -------------------------------- vtd --------------------------------
    private String vehicleCode; //车辆编码
    private String vehicleFrontView;    //车辆前视图
    private String vehicleTopView;    //车辆俯视图
    private BigDecimal maxSpeed;    //最大速度（千米/小时）
    private BigDecimal enginePower;    //发动机功率（千瓦）
    private BigDecimal maxDeceleration;    //最大减速度（米/秒2）
    private BigDecimal maxSteeringAngle;    //最大转角（度）
    private BigDecimal mass;    //质量（千克）
    private BigDecimal frontSurfaceEffective;    //前表面有效面积（平方米）
    private BigDecimal airDragCoefficient;    //空气阻力系数
    private BigDecimal rollingResistanceCoefficient;    //滚动阻力系数
    private BigDecimal wheelDiameter;    //车轮直径（米）
    private String wheelDrive;    //驱动方式
    private BigDecimal overallEfficiency;    //总效率
    private BigDecimal frontDistance;    //车前距（米）
    private BigDecimal rearDistance;    //车后距（米）
    private BigDecimal leftDistance;    //车左距（米）
    private BigDecimal rightDistance;    //车右距（米）
    private BigDecimal heightDistance;    //车高（米）
    private BigDecimal wheelbase;    //轴距（米）
    //* -------------------------------- carsim --------------------------------

}
